//
//  DBAPI2BaseTask.h
//
//

#ifdef DROPBOX_FEATURE

#import <Foundation/Foundation.h>
#import <ObjectiveDropboxOfficial/ObjectiveDropboxOfficial.h>

@interface DBAPI2BaseTask : NSObject

- (BOOL)doSynchronously;

- (void)cancel;

// ------------------------------------------------------
// PROTECTED:
// ------------------------------------------------------

@property (nullable, nonatomic, strong, readonly) DBRequestError *requestError;
- (void)updateRequestError:(nullable DBRequestError *)error;
- (void)stopWaiting;
- (nullable DBFILESUserAuthRoutes *)fileAPI;
- (void)registerInternalDbTask:(nonnull DBTask *)dbTask;

// ------------------------------------------------------
// TO OVERRIDE:
// ------------------------------------------------------

- (BOOL)returnResult;
- (nullable DBTask *)doInternalTaskAsynchronously;
- (void)logWorkResults;
- (void)cleanupOutput;
- (BOOL)shouldShowActivityIndicator;

@end

#endif
