//
//  KPDBSyncContentChangesObserver.h
//
//

#ifdef DROPBOX_FEATURE

#import "IKPDBSyncContentChangesObserverDelegate.h"

#import "KPDBSyncContentSnapshot.h"

NS_ASSUME_NONNULL_BEGIN

@interface KPDBSyncContentChangesObserver : NSObject

@property (nonatomic, strong, readonly) KPDBSyncContentSnapshot *snapshot;
@property (nonatomic, assign, readonly) BOOL observeDBChanges;
@property (nonatomic, assign, readonly) BOOL observeLocalChanges;

+ (instancetype)observeSyncContentWithSnapshot:(KPDBSyncContentSnapshot *)snapshot
                                      observeDBChanges:(BOOL)observeDBChanges
                                   observeLocalChanges:(BOOL)observeLocalChanges
                        notificationQueue:(nullable NSOperationQueue *)notificationQueue
                            delegate:(id<IKPDBSyncContentChangesObserverDelegate>)delegate;

- (void)cancel;

@end

NS_ASSUME_NONNULL_END

#endif
